Bug 1673125 - Review Request: mozilla-iot-gateway - Web of Things gateway
Summary: Review Request: mozilla-iot-gateway - Web of Things gateway
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1673126
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2019-02-06 17:58 UTC by Troy Dawson
Modified: 2019-05-03 00:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-02 03:06:08 UTC
Type: ---
jsmith.fedora: fedora-review+


Attachments (Terms of Use)
License review for mozilla things gateway (652.96 KB, text/plain)
2019-02-09 17:35 UTC, Jared Smith
no flags Details

Description Troy Dawson 2019-02-06 17:58:01 UTC
Spec URL: https://tdawson.fedorapeople.org/gateway/mozilla-iot-gateway.spec
SRPM URL: https://tdawson.fedorapeople.org/gateway/mozilla-iot-gateway-0.7.0-1.fc29.src.rpm
Description: Mozilla IoT Web of Things Gateway
Fedora Account System Username: tdawson

Comment 1 Jared Smith 2019-02-09 17:34:03 UTC
I think you've missed a few licenses in the License: line.  By my calculations (taken from the attached out.txt file), it should be:

ASL 2.0 AND BSD AND (BSD OR AFL 2.1) AND (BSD OR ASL 2.0 OR MIT) AND (BSD OR GPLv2) AND (BSD OR MIT) AND CC-BY 4.0 AND MPLv2.0 AND MIT AND Public Domain AND ISC AND LGPLv2.1+ AND (MIT AND BSD) AND (MIT AND CC-BY 3.0) AND (MIT AND zlib) AND (MIT OR ASL 2.0) AND (MIT OR GPLv2) AND (MIT OR GPLv3) AND Unlicense AND WTFPL AND (WTFPL OR MIT)

Comment 2 Jared Smith 2019-02-09 17:35:11 UTC
Created attachment 1528542 [details]
License review for mozilla things gateway

Comment 3 Troy Dawson 2019-02-09 17:38:31 UTC
Ah, OK.  I was under the impression that if there was an OR in the license, I got to pick which license I wanted to use.
I will fix that.
Is there anything else that you see that I should fix?

Comment 4 Troy Dawson 2019-02-13 22:21:40 UTC
Spec file and src.rpm have been updated
- License: line has been updated
- Added systemd services file, along with appropriate BuildRequires, Requires, and %post %preun %postun scripts.
- Add user gateway, to run the service, in %pre section, following the Fedora guidelines.
-- https://fedoraproject.org/wiki/Packaging:UsersAndGroups#Dynamic_allocation

I have built and verified that this installs and works on a clean F29 Server install.

Comment 5 Troy Dawson 2019-02-28 23:19:37 UTC
Spec file and src.rpm have been updated again
- Changed service username from gateway to moz-iot-gateway
-- systemd services file was updated to show this change
- moz-iot-gateway is now added to the dialout group.
-- This was needed due to zwave and zigbee dongles need the dialout group permissions
- Fixed some bad python shebangs that prevented the package from building on F30+

I have built and verified that this installs and works on a clean F29 server install

Comment 6 Troy Dawson 2019-03-04 18:25:52 UTC
Spec URL: https://tdawson.fedorapeople.org/gateway/mozilla-iot-gateway.spec
SRPM URL: https://tdawson.fedorapeople.org/gateway/mozilla-iot-gateway-0.7.0-1.fc30.src.rpm

Rebuild of package on F30, along with all the updates from above.

Comment 7 Jared Smith 2019-03-06 15:28:20 UTC
fedora-review is choking on this package (I left it running for 24+ hours), so I'm reviewing manually.

My biggest concern at this point is that running "rpmlint" gives me a huge number of errors on the package, as shown below.  For the provides, I think we need to provide which version of the library is bundled. There are a few other errors that will just require a bit of tweaking to file permissions or executables, etc.  Let me know if you have questions or concerns about any particular error coming from rpmlint.


mozilla-iot-gateway.noarch: E: devel-dependency python3-devel
mozilla-iot-gateway.noarch: E: useless-provides bundled(acme-v2)
mozilla-iot-gateway.noarch: E: useless-provides bundled(acorn)
mozilla-iot-gateway.noarch: E: useless-provides bundled(ajv)
mozilla-iot-gateway.noarch: E: useless-provides bundled(ansi-regex)
mozilla-iot-gateway.noarch: E: useless-provides bundled(ansi-styles)
mozilla-iot-gateway.noarch: E: useless-provides bundled(anymatch)
mozilla-iot-gateway.noarch: E: useless-provides bundled(archiver)
mozilla-iot-gateway.noarch: E: useless-provides bundled(archiver-utils)
mozilla-iot-gateway.noarch: E: useless-provides bundled(arr-diff)
mozilla-iot-gateway.noarch: E: useless-provides bundled(arr-flatten)
mozilla-iot-gateway.noarch: E: useless-provides bundled(array-unique)
mozilla-iot-gateway.noarch: E: useless-provides bundled(asn1.js)
mozilla-iot-gateway.noarch: E: useless-provides bundled(assertion-error)
mozilla-iot-gateway.noarch: E: useless-provides bundled(async)
mozilla-iot-gateway.noarch: E: useless-provides bundled(atob)
mozilla-iot-gateway.noarch: E: useless-provides bundled(aws4)
mozilla-iot-gateway.noarch: E: useless-provides bundled(babel-code-frame)
mozilla-iot-gateway.noarch: E: useless-provides bundled(babel-plugin-transform-es2015-modules-commonjs)
mozilla-iot-gateway.noarch: E: useless-provides bundled(babel-runtime)
mozilla-iot-gateway.noarch: E: useless-provides bundled(babel-template)
mozilla-iot-gateway.noarch: E: useless-provides bundled(babel-traverse)
mozilla-iot-gateway.noarch: E: useless-provides bundled(babel-types)
mozilla-iot-gateway.noarch: E: useless-provides bundled(babylon)
mozilla-iot-gateway.noarch: E: useless-provides bundled(boom)
mozilla-iot-gateway.noarch: E: useless-provides bundled(braces)
mozilla-iot-gateway.noarch: E: useless-provides bundled(buffer-from)
mozilla-iot-gateway.noarch: E: useless-provides bundled(callsites)
mozilla-iot-gateway.noarch: E: useless-provides bundled(chai)
mozilla-iot-gateway.noarch: E: useless-provides bundled(chalk)
mozilla-iot-gateway.noarch: E: useless-provides bundled(color-convert)
mozilla-iot-gateway.noarch: E: useless-provides bundled(color-name)
mozilla-iot-gateway.noarch: E: useless-provides bundled(combined-stream)
mozilla-iot-gateway.noarch: E: useless-provides bundled(commander)
mozilla-iot-gateway.noarch: E: useless-provides bundled(cookiejar)
mozilla-iot-gateway.noarch: E: useless-provides bundled(core-js)
mozilla-iot-gateway.noarch: E: useless-provides bundled(cross-spawn)
mozilla-iot-gateway.noarch: E: useless-provides bundled(cssom)
mozilla-iot-gateway.noarch: E: useless-provides bundled(debug)
mozilla-iot-gateway.noarch: E: useless-provides bundled(decamelize)
mozilla-iot-gateway.noarch: E: useless-provides bundled(define-property)
mozilla-iot-gateway.noarch: E: useless-provides bundled(diff)
mozilla-iot-gateway.noarch: E: useless-provides bundled(domelementtype)
mozilla-iot-gateway.noarch: E: useless-provides bundled(domhandler)
mozilla-iot-gateway.noarch: E: useless-provides bundled(domutils)
mozilla-iot-gateway.noarch: E: useless-provides bundled(enhanced-resolve)
mozilla-iot-gateway.noarch: E: useless-provides bundled(es-abstract)
mozilla-iot-gateway.noarch: E: useless-provides bundled(es6-promise)
mozilla-iot-gateway.noarch: E: useless-provides bundled(eslint-scope)
mozilla-iot-gateway.noarch: E: useless-provides bundled(esprima)
mozilla-iot-gateway.noarch: E: useless-provides bundled(execa)
mozilla-iot-gateway.noarch: E: useless-provides bundled(expand-brackets)
mozilla-iot-gateway.noarch: E: useless-provides bundled(extend)
mozilla-iot-gateway.noarch: E: useless-provides bundled(extend-shallow)
mozilla-iot-gateway.noarch: E: useless-provides bundled(external-editor)
mozilla-iot-gateway.noarch: E: useless-provides bundled(extglob)
mozilla-iot-gateway.noarch: E: useless-provides bundled(extsprintf)
mozilla-iot-gateway.noarch: E: useless-provides bundled(fast-deep-equal)
mozilla-iot-gateway.noarch: E: useless-provides bundled(fill-range)
mozilla-iot-gateway.noarch: E: useless-provides bundled(find-up)
mozilla-iot-gateway.noarch: E: useless-provides bundled(follow-redirects)
mozilla-iot-gateway.noarch: E: useless-provides bundled(form-data)
mozilla-iot-gateway.noarch: E: useless-provides bundled(get-stream)
mozilla-iot-gateway.noarch: E: useless-provides bundled(glob)
mozilla-iot-gateway.noarch: E: useless-provides bundled(glob-parent)
mozilla-iot-gateway.noarch: E: useless-provides bundled(globals)
mozilla-iot-gateway.noarch: E: useless-provides bundled(globby)
mozilla-iot-gateway.noarch: E: useless-provides bundled(handlebars)
mozilla-iot-gateway.noarch: E: useless-provides bundled(has-flag)
mozilla-iot-gateway.noarch: E: useless-provides bundled(has-value)
mozilla-iot-gateway.noarch: E: useless-provides bundled(has-values)
mozilla-iot-gateway.noarch: E: useless-provides bundled(hoek)
mozilla-iot-gateway.noarch: E: useless-provides bundled(html-minifier)
mozilla-iot-gateway.noarch: E: useless-provides bundled(htmlparser2)
mozilla-iot-gateway.noarch: E: useless-provides bundled(iconv-lite)
mozilla-iot-gateway.noarch: E: useless-provides bundled(ignore)
mozilla-iot-gateway.noarch: E: useless-provides bundled(import-local)
mozilla-iot-gateway.noarch: E: useless-provides bundled(inherits)
mozilla-iot-gateway.noarch: E: useless-provides bundled(inquirer)
mozilla-iot-gateway.noarch: E: useless-provides bundled(invariant)
mozilla-iot-gateway.noarch: E: useless-provides bundled(invert-kv)
mozilla-iot-gateway.noarch: E: useless-provides bundled(ip-regex)
mozilla-iot-gateway.noarch: E: useless-provides bundled(is-accessor-descriptor)
mozilla-iot-gateway.noarch: E: useless-provides bundled(is-arrayish)
mozilla-iot-gateway.noarch: E: useless-provides bundled(is-data-descriptor)
mozilla-iot-gateway.noarch: E: useless-provides bundled(is-descriptor)
mozilla-iot-gateway.noarch: E: useless-provides bundled(is-extendable)
mozilla-iot-gateway.noarch: E: useless-provides bundled(is-extglob)
mozilla-iot-gateway.noarch: E: useless-provides bundled(is-fullwidth-code-point)
mozilla-iot-gateway.noarch: E: useless-provides bundled(is-glob)
mozilla-iot-gateway.noarch: E: useless-provides bundled(is-number)
mozilla-iot-gateway.noarch: E: useless-provides bundled(isarray)
mozilla-iot-gateway.noarch: E: useless-provides bundled(isobject)
mozilla-iot-gateway.noarch: E: useless-provides bundled(js-tokens)
mozilla-iot-gateway.noarch: E: useless-provides bundled(js-yaml)
mozilla-iot-gateway.noarch: E: useless-provides bundled(jsdom)
mozilla-iot-gateway.noarch: E: useless-provides bundled(jsesc)
mozilla-iot-gateway.noarch: E: useless-provides bundled(json-schema-traverse)
mozilla-iot-gateway.noarch: E: useless-provides bundled(json5)
mozilla-iot-gateway.noarch: E: useless-provides bundled(kind-of)
mozilla-iot-gateway.noarch: E: useless-provides bundled(lcid)
mozilla-iot-gateway.noarch: E: useless-provides bundled(load-json-file)
mozilla-iot-gateway.noarch: E: useless-provides bundled(loader-utils)
mozilla-iot-gateway.noarch: E: useless-provides bundled(locate-path)
mozilla-iot-gateway.noarch: E: useless-provides bundled(lodash)
mozilla-iot-gateway.noarch: E: useless-provides bundled(lolex)
mozilla-iot-gateway.noarch: E: useless-provides bundled(lru-cache)
mozilla-iot-gateway.noarch: E: useless-provides bundled(mem)
mozilla-iot-gateway.noarch: E: useless-provides bundled(micromatch)
mozilla-iot-gateway.noarch: E: useless-provides bundled(mime)
mozilla-iot-gateway.noarch: E: useless-provides bundled(mime-db)
mozilla-iot-gateway.noarch: E: useless-provides bundled(mime-types)
mozilla-iot-gateway.noarch: E: useless-provides bundled(minimist)
mozilla-iot-gateway.noarch: E: useless-provides bundled(ms)
mozilla-iot-gateway.noarch: E: useless-provides bundled(needle)
mozilla-iot-gateway.noarch: E: useless-provides bundled(node-pre-gyp)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-acme-v2)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-acorn)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-ajv)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-ansi-regex)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-ansi-styles)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-anymatch)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-archiver)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-archiver-utils)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-arr-diff)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-arr-flatten)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-array-unique)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-asn1.js)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-assertion-error)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-async)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-atob)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-aws4)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-babel-code-frame)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-babel-plugin-transform-es2015-modules-commonjs)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-babel-runtime)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-babel-template)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-babel-traverse)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-babel-types)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-babylon)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-boom)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-braces)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-buffer-from)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-callsites)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-chai)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-chalk)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-color-convert)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-color-name)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-combined-stream)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-commander)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-cookiejar)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-core-js)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-cross-spawn)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-cssom)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-debug)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-decamelize)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-define-property)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-diff)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-domelementtype)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-domhandler)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-domutils)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-enhanced-resolve)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-es-abstract)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-es6-promise)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-eslint-scope)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-esprima)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-execa)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-expand-brackets)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-extend)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-extend-shallow)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-external-editor)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-extglob)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-extsprintf)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-fast-deep-equal)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-fill-range)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-find-up)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-follow-redirects)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-form-data)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-get-stream)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-glob)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-glob-parent)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-globals)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-globby)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-handlebars)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-har-validator)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-has-flag)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-has-value)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-has-values)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-hoek)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-html-minifier)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-htmlparser2)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-iconv-lite)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-ignore)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-import-local)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-inherits)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-inquirer)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-invariant)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-invert-kv)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-ip-regex)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-is-accessor-descriptor)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-is-arrayish)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-is-data-descriptor)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-is-descriptor)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-is-extendable)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-is-extglob)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-is-fullwidth-code-point)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-is-glob)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-is-number)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-isarray)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-isobject)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-js-tokens)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-js-yaml)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-jsdom)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-jsesc)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-json-schema-traverse)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-json5)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-kind-of)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-lcid)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-load-json-file)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-loader-utils)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-locate-path)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-lodash)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-lolex)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-lru-cache)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-mem)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-micromatch)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-mime)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-mime-db)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-mime-types)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-minimist)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-ms)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-needle)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-node-pre-gyp)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-normalize-path)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-oauth-sign)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-object-keys)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-os-locale)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-p-limit)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-p-locate)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-p-try)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-parse-json)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-parse5)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-path-exists)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-path-to-regexp)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-path-type)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-pify)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-pkg-dir)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-postcss)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-private)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-process-nextick-args)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-psl)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-punycode)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-qs)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-read-pkg)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-readable-stream)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-regenerate)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-regenerator-runtime)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-regexpu-core)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-regjsgen)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-regjsparser)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-request)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-resolve)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-resolve-from)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-rimraf)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-schema-utils)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-semver)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-set-value)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-source-map)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-source-map-resolve)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-source-map-support)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-source-map-url)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-statuses)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-string-width)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-string_decoder)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-strip-ansi)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-strip-bom)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-supports-color)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-tapable)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-tar)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-tar-stream)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-tmp)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-to-fast-properties)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-tough-cookie)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-type-detect)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-uri-js)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-util)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-utila)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-uuid)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-webpack-sources)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-whatwg-encoding)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-whatwg-mimetype)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-whatwg-url)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-which)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-wordwrap)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-ws)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-y18n)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-yallist)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-yargs)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-yargs-parser)
mozilla-iot-gateway.noarch: E: useless-provides bundled(nodejs-zip-stream)
mozilla-iot-gateway.noarch: E: useless-provides bundled(normalize-path)
mozilla-iot-gateway.noarch: E: useless-provides bundled(oauth-sign)
mozilla-iot-gateway.noarch: E: useless-provides bundled(object-keys)
mozilla-iot-gateway.noarch: E: useless-provides bundled(os-locale)
mozilla-iot-gateway.noarch: E: useless-provides bundled(p-limit)
mozilla-iot-gateway.noarch: E: useless-provides bundled(p-locate)
mozilla-iot-gateway.noarch: E: useless-provides bundled(p-try)
mozilla-iot-gateway.noarch: E: useless-provides bundled(parse-json)
mozilla-iot-gateway.noarch: E: useless-provides bundled(parse5)
mozilla-iot-gateway.noarch: E: useless-provides bundled(path-exists)
mozilla-iot-gateway.noarch: E: useless-provides bundled(path-to-regexp)
mozilla-iot-gateway.noarch: E: useless-provides bundled(path-type)
mozilla-iot-gateway.noarch: E: useless-provides bundled(pify)
mozilla-iot-gateway.noarch: E: useless-provides bundled(pkg-dir)
mozilla-iot-gateway.noarch: E: useless-provides bundled(postcss)
mozilla-iot-gateway.noarch: E: useless-provides bundled(private)
mozilla-iot-gateway.noarch: E: useless-provides bundled(process-nextick-args)
mozilla-iot-gateway.noarch: E: useless-provides bundled(psl)
mozilla-iot-gateway.noarch: E: useless-provides bundled(punycode)
mozilla-iot-gateway.noarch: E: useless-provides bundled(qs)
mozilla-iot-gateway.noarch: E: useless-provides bundled(read-pkg)
mozilla-iot-gateway.noarch: E: useless-provides bundled(readable-stream)
mozilla-iot-gateway.noarch: E: useless-provides bundled(regenerate)
mozilla-iot-gateway.noarch: E: useless-provides bundled(regenerator-runtime)
mozilla-iot-gateway.noarch: E: useless-provides bundled(regexpu-core)
mozilla-iot-gateway.noarch: E: useless-provides bundled(regjsgen)
mozilla-iot-gateway.noarch: E: useless-provides bundled(regjsparser)
mozilla-iot-gateway.noarch: E: useless-provides bundled(request)
mozilla-iot-gateway.noarch: E: useless-provides bundled(resolve)
mozilla-iot-gateway.noarch: E: useless-provides bundled(resolve-from)
mozilla-iot-gateway.noarch: E: useless-provides bundled(rimraf)
mozilla-iot-gateway.noarch: E: useless-provides bundled(schema-utils)
mozilla-iot-gateway.noarch: E: useless-provides bundled(semver)
mozilla-iot-gateway.noarch: E: useless-provides bundled(set-value)
mozilla-iot-gateway.noarch: E: useless-provides bundled(source-map)
mozilla-iot-gateway.noarch: E: useless-provides bundled(source-map-resolve)
mozilla-iot-gateway.noarch: E: useless-provides bundled(source-map-support)
mozilla-iot-gateway.noarch: E: useless-provides bundled(source-map-url)
mozilla-iot-gateway.noarch: E: useless-provides bundled(statuses)
mozilla-iot-gateway.noarch: E: useless-provides bundled(string-width)
mozilla-iot-gateway.noarch: E: useless-provides bundled(string_decoder)
mozilla-iot-gateway.noarch: E: useless-provides bundled(strip-ansi)
mozilla-iot-gateway.noarch: E: useless-provides bundled(strip-bom)
mozilla-iot-gateway.noarch: E: useless-provides bundled(supports-color)
mozilla-iot-gateway.noarch: E: useless-provides bundled(tapable)
mozilla-iot-gateway.noarch: E: useless-provides bundled(tar)
mozilla-iot-gateway.noarch: E: useless-provides bundled(tar-stream)
mozilla-iot-gateway.noarch: E: useless-provides bundled(tmp)
mozilla-iot-gateway.noarch: E: useless-provides bundled(to-fast-properties)
mozilla-iot-gateway.noarch: E: useless-provides bundled(tough-cookie)
mozilla-iot-gateway.noarch: E: useless-provides bundled(type-detect)
mozilla-iot-gateway.noarch: E: useless-provides bundled(uri-js)
mozilla-iot-gateway.noarch: E: useless-provides bundled(util)
mozilla-iot-gateway.noarch: E: useless-provides bundled(utila)
mozilla-iot-gateway.noarch: E: useless-provides bundled(uuid)
mozilla-iot-gateway.noarch: E: useless-provides bundled(webpack-sources)
mozilla-iot-gateway.noarch: E: useless-provides bundled(whatwg-encoding)
mozilla-iot-gateway.noarch: E: useless-provides bundled(whatwg-mimetype)
mozilla-iot-gateway.noarch: E: useless-provides bundled(whatwg-url)
mozilla-iot-gateway.noarch: E: useless-provides bundled(which)
mozilla-iot-gateway.noarch: E: useless-provides bundled(wordwrap)
mozilla-iot-gateway.noarch: E: useless-provides bundled(ws)
mozilla-iot-gateway.noarch: E: useless-provides bundled(y18n)
mozilla-iot-gateway.noarch: E: useless-provides bundled(yallist)
mozilla-iot-gateway.noarch: E: useless-provides bundled(yargs)
mozilla-iot-gateway.noarch: E: useless-provides bundled(yargs-parser)
mozilla-iot-gateway.noarch: E: useless-provides bundled(zip-stream)
mozilla-iot-gateway.noarch: E: backup-file-in-package /usr/lib/node_modules/gateway/node_modules/@babel/plugin-transform-regenerator/node_modules/regenerator-transform/lib/visit.js~
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/library/modules/es6.date.to-primitive.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/library/modules/es6.date.to-string.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/library/modules/es6.function.name.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/library/modules/es6.number.constructor.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/library/modules/es6.object.to-string.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/library/modules/es6.regexp.flags.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/library/modules/es6.regexp.match.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/library/modules/es6.regexp.replace.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/library/modules/es6.regexp.search.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/library/modules/es6.regexp.split.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/library/modules/es6.regexp.to-string.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/modules/library/es6.date.to-primitive.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/modules/library/es6.date.to-string.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/modules/library/es6.function.name.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/modules/library/es6.number.constructor.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/modules/library/es6.object.to-string.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/modules/library/es6.regexp.flags.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/modules/library/es6.regexp.match.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/modules/library/es6.regexp.replace.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/modules/library/es6.regexp.search.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/modules/library/es6.regexp.split.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@babel/polyfill/node_modules/core-js/modules/library/es6.regexp.to-string.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@webassemblyjs/ast/esm/types/basic.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@webassemblyjs/ast/esm/types/nodes.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@webassemblyjs/ast/esm/types/traverse.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@webassemblyjs/ast/lib/types/basic.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@webassemblyjs/ast/lib/types/nodes.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@webassemblyjs/ast/lib/types/traverse.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@webassemblyjs/wasm-parser/esm/types/decoder.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@webassemblyjs/wasm-parser/lib/types/decoder.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/@xtuc/ieee754/dist/.gitkeep
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/acorn-dynamic-import/node_modules/acorn/bin/_acorn.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/acorn-dynamic-import/node_modules/acorn/bin/_acorn.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/acorn-dynamic-import/node_modules/acorn/dist/.keep
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/awesome-typescript-loader/dist/entry.d.ts
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/bcryptjs/bin/bcrypt /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/bcryptjs/bin/bcrypt 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: wrong-script-end-of-line-encoding /usr/lib/node_modules/gateway/node_modules/bcryptjs/bin/bcrypt
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/browser-resolve/empty.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/browser-resolve/node_modules/resolve/test/pathfilter/deep_ref/main.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/browser-resolve/node_modules/resolve/test/pathfilter/deep_ref/node_modules/deep/alt.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/browser-resolve/node_modules/resolve/test/pathfilter/deep_ref/node_modules/deep/deeper/ref.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/browser-resolve/node_modules/resolve/test/pathfilter/deep_ref/node_modules/deep/ref.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/browser-resolve/node_modules/resolve/test/resolver/baz/doom.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/browser-resolve/node_modules/resolve/test/resolver/mug.coffee
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/browser-resolve/node_modules/resolve/test/resolver/mug.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/browser-resolve/node_modules/resolve/test/resolver/other_path/lib/other-lib.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/browser-resolve/node_modules/resolve/test/resolver/other_path/root.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/browser-resolve/node_modules/resolve/test/resolver/punycode/node_modules/punycode/index.js
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/buffer/bin/test.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/buffer/bin/test.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: backup-file-in-package /usr/lib/node_modules/gateway/node_modules/console-control-strings/README.md~
mozilla-iot-gateway.noarch: E: backup-file-in-package /usr/lib/node_modules/gateway/node_modules/copy-concurrently/README.md~
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/library/modules/es6.date.to-primitive.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/library/modules/es6.date.to-string.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/library/modules/es6.function.name.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/library/modules/es6.number.constructor.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/library/modules/es6.object.to-string.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/library/modules/es6.regexp.flags.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/library/modules/es6.regexp.match.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/library/modules/es6.regexp.replace.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/library/modules/es6.regexp.search.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/library/modules/es6.regexp.split.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/library/modules/es6.regexp.to-string.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/modules/library/es6.date.to-primitive.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/modules/library/es6.date.to-string.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/modules/library/es6.function.name.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/modules/library/es6.number.constructor.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/modules/library/es6.object.to-string.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/modules/library/es6.regexp.flags.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/modules/library/es6.regexp.match.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/modules/library/es6.regexp.replace.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/modules/library/es6.regexp.search.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/modules/library/es6.regexp.split.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/core-js/modules/library/es6.regexp.to-string.js
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/dashdash/etc/dashdash.bash_completion.in 644 /bin/bash 
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/dicer/test/fixtures/many-noend/part2
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/dicer/test/fixtures/many-noend/part3
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/dicer/test/fixtures/many-noend/part4
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/dicer/test/fixtures/many/part2
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/dicer/test/fixtures/many/part3
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/dicer/test/fixtures/many/part4
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/dicer/test/fixtures/many/part6
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/dnssd/bin/bin.build.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/dnssd/bin/bin.build.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/dom-converter/scripts/coffee/lib/domToMarkup.coffee
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/exit/.npmignore
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/extsprintf/.gitmodules
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/fileset/.npmignore
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/fileset/test/fixtures/foo.md
mozilla-iot-gateway.noarch: E: version-control-internal-file /usr/lib/node_modules/gateway/node_modules/gateway-addon/.gitignore
mozilla-iot-gateway.noarch: E: backup-file-in-package /usr/lib/node_modules/gateway/node_modules/http_ece/package.json~
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/jest-environment-jsdom/node_modules/acorn/bin/_acorn.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/jest-environment-jsdom/node_modules/acorn/bin/_acorn.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jest-environment-jsdom/node_modules/acorn/dist/.keep
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/library/modules/es6.date.to-primitive.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/library/modules/es6.date.to-string.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/library/modules/es6.function.name.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/library/modules/es6.number.constructor.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/library/modules/es6.object.to-string.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/library/modules/es6.regexp.flags.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/library/modules/es6.regexp.match.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/library/modules/es6.regexp.replace.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/library/modules/es6.regexp.search.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/library/modules/es6.regexp.split.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/library/modules/es6.regexp.to-string.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/modules/library/es6.date.to-primitive.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/modules/library/es6.date.to-string.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/modules/library/es6.function.name.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/modules/library/es6.number.constructor.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/modules/library/es6.object.to-string.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/modules/library/es6.regexp.flags.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/modules/library/es6.regexp.match.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/modules/library/es6.regexp.replace.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/modules/library/es6.regexp.search.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/modules/library/es6.regexp.split.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/jszip/node_modules/core-js/modules/library/es6.regexp.to-string.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/loglevelnext/dist/.gitkeep
mozilla-iot-gateway.noarch: E: backup-file-in-package /usr/lib/node_modules/gateway/node_modules/move-concurrently/README.md~
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/ncp/test/regular-fixtures/src/c
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/ncp/test/regular-fixtures/src/d
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/ncp/test/regular-fixtures/src/e
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/ncp/test/regular-fixtures/src/f
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/ncp/test/regular-fixtures/src/sub/b
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/node-getopt/output
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/node-libs-browser/mock/empty.js
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/node-rest-client/debug.sh 644 /bin/sh 
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/node-rest-client/test.sh 644 /bin/sh 
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/nwsapi/dist/lint.log
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/optimist/example/bool.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/optimist/example/bool.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/optimist/example/boolean_double.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/optimist/example/boolean_double.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/optimist/example/boolean_single.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/optimist/example/boolean_single.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/optimist/example/default_hash.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/optimist/example/default_hash.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/optimist/example/default_singles.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/optimist/example/default_singles.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/optimist/example/divide.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/optimist/example/divide.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/optimist/example/line_count.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/optimist/example/line_count.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/optimist/example/line_count_options.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/optimist/example/line_count_options.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/optimist/example/line_count_wrap.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/optimist/example/line_count_wrap.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/optimist/example/nonopt.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/optimist/example/nonopt.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/optimist/example/reflect.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/optimist/example/reflect.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/optimist/example/short.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/optimist/example/short.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/optimist/example/string.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/optimist/example/string.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/optimist/example/xup.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/optimist/example/xup.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/optimist/test/_/argv.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/optimist/test/_/argv.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/parse-asn1/package-lock.json.1909017369
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/performance-now/test/scripts/delayed-call.coffee /usr/bin/./node_modules/.bin/coffee 
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/performance-now/test/scripts/delayed-require.coffee /usr/bin/./node_modules/.bin/coffee 
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/performance-now/test/scripts/difference.coffee /usr/bin/./node_modules/.bin/coffee 
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/performance-now/test/scripts/initial-value.coffee /usr/bin/./node_modules/.bin/coffee 
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/postcss-modules-values/.npmignore
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/ps-tree/bin/ps-tree.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/ps-tree/bin/ps-tree.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: backup-file-in-package /usr/lib/node_modules/gateway/node_modules/querystring/.History.md.un~
mozilla-iot-gateway.noarch: E: backup-file-in-package /usr/lib/node_modules/gateway/node_modules/querystring/.Readme.md.un~
mozilla-iot-gateway.noarch: E: backup-file-in-package /usr/lib/node_modules/gateway/node_modules/querystring/.package.json.un~
mozilla-iot-gateway.noarch: E: backup-file-in-package /usr/lib/node_modules/gateway/node_modules/querystring/test/.index.js.un~
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/readdirp/test/bed/root_dir1/root_dir1_file1.ext1
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/readdirp/test/bed/root_dir1/root_dir1_file2.ext2
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/readdirp/test/bed/root_dir1/root_dir1_file3.ext3
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/readdirp/test/bed/root_dir1/root_dir1_subdir1/root1_dir1_subdir1_file1.ext1
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/readdirp/test/bed/root_dir2/root_dir2_file1.ext1
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/readdirp/test/bed/root_dir2/root_dir2_file2.ext2
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/readdirp/test/bed/root_file1.ext1
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/readdirp/test/bed/root_file2.ext2
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/readdirp/test/bed/root_file3.ext3
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/resolve/test/pathfilter/deep_ref/main.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/resolve/test/resolver/baz/doom.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/resolve/test/resolver/browser_field/a.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/resolve/test/resolver/browser_field/b.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/resolve/test/resolver/mug.coffee
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/resolve/test/resolver/mug.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/resolve/test/resolver/other_path/lib/other-lib.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/resolve/test/resolver/other_path/root.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/resolve/test/resolver/symlinked/_/node_modules/foo.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/resolve/test/resolver/symlinked/_/symlink_target/.gitkeep
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/shaka-player/third_party/closure/deps/treescan.py 644 /usr/bin/python3 
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/superagent/node_modules/mime/.npmignore
mozilla-iot-gateway.noarch: E: backup-file-in-package /usr/lib/node_modules/gateway/node_modules/unique-filename/README.md~
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/watch/test/d/d/t
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/watch/test/d/t
mozilla-iot-gateway.noarch: E: wrong-script-interpreter /usr/lib/node_modules/gateway/node_modules/webpack/node_modules/acorn/bin/_acorn.js /usr/bin/env node
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/node_modules/webpack/node_modules/acorn/bin/_acorn.js 644 /usr/bin/env node
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/webpack/node_modules/acorn/dist/.keep
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/node_modules/webpack/web_modules/node-libs-browser.js
mozilla-iot-gateway.noarch: E: zero-length /usr/lib/node_modules/gateway/src/rules-engine/triggers/router.js
mozilla-iot-gateway.noarch: E: non-executable-script /usr/lib/node_modules/gateway/src/test/take-prev-screenshots.sh 644 /bin/bash -e
mozilla-iot-gateway.noarch: E: version-control-internal-file /usr/lib/node_modules/gateway/src/wifi-setup/.gitignore
mozilla-iot-gateway.src:6: E: hardcoded-library-path in %{_prefix}/lib/node_modules/gateway/.*$

Comment 8 Troy Dawson 2019-03-07 00:08:13 UTC
Spec URL: https://tdawson.fedorapeople.org/gateway/mozilla-iot-gateway.spec
SRPM URL: https://tdawson.fedorapeople.org/gateway/mozilla-iot-gateway-0.7.0-2.fc30.src.rpm

Updated to address several of the issues:
- Remove all hidden files
- Remove all backup files
- ensure all bash shell scripts are executable
- ensure that all scripts calling /usr/bin/env node are executable
- I removed many of the zero length files, mainly the core-js and package-lock
-- The ones that are left are either for tests, or I didn't feel comfortable removing.

Comment 9 Troy Dawson 2019-03-12 03:40:56 UTC
Spec URL: https://tdawson.fedorapeople.org/gateway/mozilla-iot-gateway.spec
SRPM URL: https://tdawson.fedorapeople.org/gateway/mozilla-iot-gateway-0.7.0-2.fc30.src.rpm

I cleaned up more empty files, directories, and permissions.  When doing a fedora-review you will see the following, but they need to be in there

- hidden-file-or-dir that ends with .bin
-- This is a nodejs thing, and they need to be there.
- zero-length file that is in a test directory
-- These need to be there for tests
- zero-length file that is not in a test directory
-- I have trimmed out all the zero length files that are not being called by something.
-- The ones that are left appear that things would break if they are removed.
- useless-provides bundled(...)
-- I have a "Provides: bundled(<name>) = <version>" for each bundled nodejs module.  For some, there is more than one version of a nodejs module.  fedora-review strips the version off of each of these, and then complains that there is more than one entry for <name>.
-- I can either not have a version on each entry, or I can make it so fedora-review doesn't complain.  I was told to keep the version on each entry, and so your fedora-review will have these errors.

I believe this package is ready.

Comment 10 Troy Dawson 2019-04-10 14:37:43 UTC
I believe Jared has been overwhelmed with other things.
If anyone else wants to take this, please feel free.

Comment 11 Jared Smith 2019-04-23 13:26:46 UTC
After lots of work to review this package, I can now say that I'm satisfied with the way this is being packaged, and that this package is APPROVED.  It conforms to the Fedora Packaging Guidelines, and is licensed under proper open source licenses.

Comment 12 Gwyn Ciesla 2019-04-23 13:59:46 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mozilla-iot-gateway

Comment 13 Troy Dawson 2019-04-23 14:53:39 UTC
Jared, thank you very much for the review.
This review took alot more work than your typical review, and I appreciate it.

Comment 14 Fedora Update System 2019-04-23 15:42:56 UTC
mozilla-iot-gateway-0.7.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-16eb82bdd1

Comment 15 Fedora Update System 2019-04-23 15:44:44 UTC
mozilla-iot-gateway-0.7.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-439759a18c

Comment 16 Fedora Update System 2019-04-23 21:16:18 UTC
mozilla-iot-gateway-0.7.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-16eb82bdd1

Comment 17 Fedora Update System 2019-04-24 20:27:49 UTC
mozilla-iot-gateway-0.7.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-439759a18c

Comment 18 Fedora Update System 2019-05-02 03:06:08 UTC
mozilla-iot-gateway-0.7.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-05-03 00:58:26 UTC
mozilla-iot-gateway-0.7.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.